
import math
import sympy as sp
import pylab as pl
import matplotlib.pyplot as plt
import shapely.geometry as geom
from descartes import PolygonPatch as pp


ray = sp.Ray((0,0),angle = math.radians(135))
circle = sp.Circle((0,0),2)

p = ray.intersection(circle)

fig = plt.gcf()
ax = plt.gca()
        
ax.set_xlim((-5,5))
ax.set_ylim((-5,5))     
pl.scatter(p[0].x,p[0].y)

cir = geom.Point(0,0).buffer(2)
patch1 = pp(cir,fill = None)
ax.add_patch(patch1)

line = pl.Polygon([(0,0),(p[0].x,p[0].y)])
pl.gca().add_line(line)

pl.show()
